# IO_Sector.cpp File Reference

`#include <osgSim/Sector>`
`#include <iostream>`
`#include <string>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <osgDB/ParameterOutput>`

Include dependency graph for IO_Sector.cpp:

## Functions

bool | AzimSector_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | AzimSector_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
bool | ElevationSector_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | ElevationSector_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
bool | AzimElevationSector_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | AzimElevationSector_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
bool | ConeSector_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | ConeSector_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
bool | DirectionalSector_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | DirectionalSector_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | AzimSector_Proxy (new osgSim::AzimSector,"AzimSector","Object AzimSector",&AzimSector_readLocalData,&AzimSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)
osgDB::RegisterDotOsgWrapperProxy | ElevationSector_Proxy (new osgSim::ElevationSector,"ElevationSector","Object ElevationSector",&ElevationSector_readLocalData,&ElevationSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)
osgDB::RegisterDotOsgWrapperProxy | AzimElevationSector_Proxy (new osgSim::AzimElevationSector,"AzimElevationSector","Object AzimElevationSector",&AzimElevationSector_readLocalData,&AzimElevationSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)
osgDB::RegisterDotOsgWrapperProxy | ConeSector_Proxy (new osgSim::ConeSector,"ConeSector","Object ConeSector",&ConeSector_readLocalData,&ConeSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)
osgDB::RegisterDotOsgWrapperProxy | DirectionalSector_Proxy (new osgSim::DirectionalSector,"DirectionalSector","Object DirectionalSector",&DirectionalSector_readLocalData,&DirectionalSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)

## Function Documentation

bool AzimElevationSector_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool AzimElevationSector_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool AzimSector_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool AzimSector_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool ConeSector_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool ConeSector_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool DirectionalSector_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool DirectionalSector_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

bool ElevationSector_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool ElevationSector_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy AzimElevationSector_Proxy(new osgSim::AzimElevationSector,"AzimElevationSector","Object AzimElevationSector",&AzimElevationSector_readLocalData,&AzimElevationSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)

osgDB::RegisterDotOsgWrapperProxy AzimSector_Proxy(new osgSim::AzimSector,"AzimSector","Object AzimSector",&AzimSector_readLocalData,&AzimSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)

osgDB::RegisterDotOsgWrapperProxy ConeSector_Proxy(new osgSim::ConeSector,"ConeSector","Object ConeSector",&ConeSector_readLocalData,&ConeSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)

osgDB::RegisterDotOsgWrapperProxy DirectionalSector_Proxy(new osgSim::DirectionalSector,"DirectionalSector","Object DirectionalSector",&DirectionalSector_readLocalData,&DirectionalSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)

osgDB::RegisterDotOsgWrapperProxy ElevationSector_Proxy(new osgSim::ElevationSector,"ElevationSector","Object ElevationSector",&ElevationSector_readLocalData,&ElevationSector_writeLocalData, osgDB::DotOsgWrapper::READ_AND_WRITE)